Skip to main content
POST
/
v2
/
teams
/
{teamId}
/
agent-folders
/
move-agents
Move Agents To Folder
curl --request POST \
  --url https://api.duvo.ai/v2/teams/{teamId}/agent-folders/move-agents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "success": true,
  "moved_count": 123
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

teamId
string
required

Body

application/json
agent_ids
string<uuid>[]
required

IDs of the agents (assignments) to move. Must be unique.

Minimum array length: 1
folder_id
string<uuid> | null
required

Destination folder ID. Pass null to move the agents to the root level.

Response

Default Response

success
boolean
required

Always true on success

moved_count
number
required

Number of agents that were moved